For the complete documentation index, see llms.txt. This page is also available as Markdown.

Search multi-view images

get
Authorizations
x-api-keystringRequired

API key passed via request header. Either this or the api_key query parameter is required.

Query parameters
pstringOptional

A point of interest to query with an optional radius search parameter in the format longitude,latitude[,radiusMeters]. Returns images representing diverse viewing angles of the specified point.

bboxstringOptional

An area of interest to query in the format minLon,minLat,maxLon,maxLat.

polygonstringOptional

WKT POLYGON to query. Converted to bounding box for search, but original polygon used for highlighting. Maximum bbox area: 1 km².

captured_atstringOptional

Image capture timestamp, expressed as an inclusive range [start, end], or as a single value. Format: Any valid JavaScript date format (e.g., "2023-01-01T00:00:00Z", "2023-01-01", "Jan 1, 2023"). By default, no filter is applied.

Example: 2023-01-01T00:00:00Z,2023-12-31T23:59:59Z
pixel_boundsone ofOptional

Include 'aoiPixelBounds' on each feature, locating the area of interest within the original image. Adds latency, as each image is projected.

Default: false
booleanOptional
or
stringOptional
Responses
200Success
application/json
typestring · enumRequiredPossible values:
nextstring · uriOptional

URL to fetch the next page of results, if more exist.

numberReturnednumberRequired

The number of features in the response.

get/developer-api/api/v1/image/multi-view
GET /developer-api/api/v1/image/multi-view HTTP/1.1
Host: world.spexi.com
x-api-key: YOUR_API_KEY
Accept: */*
200Success
{
  "type": "FeatureCollection",
  "features": [
    {
      "id": "text",
      "type": "Feature",
      "geometry": {
        "type": "Polygon",
        "coordinates": [
          []
        ]
      },
      "properties": {
        "id": "text",
        "key": "text",
        "url": "https://example.com",
        "captureType": "text",
        "heading": 1,
        "pitch": 1,
        "roll": 1,
        "altitude": 1,
        "tag": "text",
        "attributes": {
          "ANY_ADDITIONAL_PROPERTY": "anything"
        },
        "capturedAt": "text",
        "processedAt": "text",
        "cameraPosition": {
          "type": "Point",
          "coordinates": null
        },
        "distance": 1,
        "aoiPixelBounds": null,
        "aoiPixelBoundsUnavailable": true
      },
      "links": [
        {
          "rel": "text",
          "href": "https://example.com",
          "type": "text",
          "title": "text"
        }
      ]
    }
  ],
  "next": "https://example.com",
  "numberReturned": 1
}

Last updated